diff --git a/doc/bashref.ps b/doc/bashref.ps
index 715e4725..55f780ed 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
 %%Creator: dvips(k) 5.95a Copyright 2005 Radical Eye Software
 %%Title: bashref.dvi
-%%Pages: 162
+%%Pages: 160
 %%PageOrder: Ascend
 %%BoundingBox: 0 0 612 792
 %%DocumentFonts: CMBX12 CMR10 CMTT10 CMSL10 CMSY10 CMBXTI10 CMTI10
@@ -11,7 +11,7 @@
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -D 600 -t letter -o bashref.ps bashref.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2007.01.02:1025
+%DVIPSSource:  TeX output 2007.01.16:1115
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -4520,34 +4520,33 @@ rf /Ff 138[39 27 28 28 1[39 1[39 2[37 22 4[31 1[31 1[35
 1[46 46 51 74 23 2[28 1[42 1[42 46 42 1[46 50[28 33[51
 12[{}18 90.9091 /CMTI10 rf /Fn 209[43 46[{}1 119.552
 /CMBXTI10 rf /Fo 134[85 85 1[85 90 63 64 66 1[90 81 90
-134 45 1[49 45 90 81 49 74 90 72 90 78 9[167 122 124
-112 90 120 1[110 2[153 97 1[83 60 126 1[101 106 124 117
-115 122 7[81 81 81 81 81 81 81 81 81 81 35[90 94 11[{}52
-143.462 /CMBX12 rf /Fp 200[0 21[91 17[45 1[91 12[71{}5
-90.9091 /CMSY10 rf /Fq 134[48 48 66 48 51 35 36 36 48
-51 45 51 76 25 48 28 25 51 45 28 40 51 40 51 45 8[68
-93 1[68 66 51 67 1[62 71 68 83 57 71 1[33 68 71 59 62
-69 66 64 68 13[45 45 45 3[30 2[45 27[76 1[51 53 11[{}54
-90.9091 /CMSL10 rf /Fr 134[71 71 97 71 75 52 53 55 1[75
-67 75 112 37 71 41 37 75 67 41 61 75 60 75 65 3[37 1[37
-1[102 102 139 102 103 94 75 100 101 92 101 105 128 81
-105 69 50 105 106 85 88 103 97 96 102 105 64 4[37 67
-67 67 67 67 67 67 67 67 67 1[37 45 37 1[67 5[67 112 1[41
-20[75 78 11[{}73 119.552 /CMBX12 rf /Fs 129[48 48 48
+134 45 1[49 45 90 81 49 74 90 72 90 78 10[122 124 112
+90 120 4[153 97 1[83 60 126 1[101 106 124 117 115 122
+7[81 81 81 81 81 81 81 81 81 81 35[90 94 11[{}50 143.462
+/CMBX12 rf /Fp 200[0 21[91 17[45 1[91 12[71{}5 90.9091
+/CMSY10 rf /Fq 134[48 48 66 48 51 35 36 36 48 51 45 51
+76 25 48 28 25 51 45 28 40 51 40 51 45 8[68 93 1[68 66
+51 67 1[62 71 68 83 57 71 1[33 68 71 59 62 69 66 64 68
+13[45 45 45 3[30 2[45 27[76 1[51 53 11[{}54 90.9091 /CMSL10
+rf /Fr 134[71 71 97 71 75 52 53 55 1[75 67 75 112 37
+71 41 37 75 67 41 61 75 60 75 65 3[37 1[37 1[102 102
+139 102 103 94 75 100 101 92 101 105 128 81 105 69 50
+105 106 85 88 103 97 96 102 105 64 4[37 67 67 67 67 67
+67 67 67 67 67 1[37 45 37 1[67 5[67 112 1[41 20[75 78
+11[{}73 119.552 /CMBX12 rf /Fs 129[48 48 48 48 48 48
 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48
 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48
-48 48 48 48 48 48 48 48 48 48 48 48 48 1[48 48 48 48
+48 48 48 48 48 48 48 48 48 48 1[48 48 48 48 48 48 48
 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48
-48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48
-48 33[{}93 90.9091 /CMTT10 rf /Ft 131[91 45 40 48 48
-66 48 51 35 36 36 48 51 45 51 76 25 48 28 25 51 45 28
-40 51 40 51 45 25 2[25 45 25 56 68 68 93 68 68 66 51
-67 71 62 71 68 83 57 71 47 33 68 71 59 62 69 66 64 68
-1[43 1[71 1[25 25 45 45 45 45 45 45 45 45 45 45 45 25
-30 25 2[35 35 25 1[76 45 1[45 25 18[76 51 51 53 11[{}87
-90.9091 /CMR10 rf /Fu 138[108 1[76 79 3[108 1[54 3[108
-1[59 88 1[86 1[94 14[144 4[184 10[138 66[{}13 172.154
-/CMBX12 rf end
+48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 48 33[{}93
+90.9091 /CMTT10 rf /Ft 131[91 45 40 48 48 66 48 51 35
+36 36 48 51 45 51 76 25 48 28 25 51 45 28 40 51 40 51
+45 25 2[25 45 25 56 68 68 93 68 68 66 51 67 71 62 71
+68 83 57 71 47 33 68 71 59 62 69 66 64 68 1[43 1[71 1[25
+25 45 45 45 45 45 45 45 45 45 45 45 25 30 25 2[35 35
+25 1[76 45 1[45 25 18[76 51 51 53 11[{}87 90.9091 /CMR10
+rf /Fu 138[108 1[76 79 3[108 1[54 3[108 1[59 88 1[86
+1[94 14[144 4[184 10[138 66[{}13 172.154 /CMBX12 rf end
 %%EndProlog
 %%BeginSetup
 %%Feature: *Resolution 600dpi
@@ -4561,29 +4560,29 @@ letter
 TeXDict begin 1 0 bop 150 1318 a Fu(Bash)64 b(Reference)j(Man)-5
 b(ual)p 150 1385 3600 34 v 2361 1481 a Ft(Reference)31
 b(Do)s(cumen)m(tation)i(for)d(Bash)2428 1589 y(Edition)h(3.2,)g(for)f
-Fs(Bash)g Ft(V)-8 b(ersion)31 b(3.2.)3145 1697 y(Decem)m(b)s(er)g(2006)
-150 4935 y Fr(Chet)45 b(Ramey)-11 b(,)46 b(Case)g(W)-11
-b(estern)46 b(Reserv)l(e)g(Univ)l(ersit)l(y)150 5068
-y(Brian)f(F)-11 b(o)l(x,)45 b(F)-11 b(ree)45 b(Soft)l(w)l(are)h(F)-11
+Fs(Bash)g Ft(V)-8 b(ersion)31 b(3.2.)3218 1697 y(Jan)m(uary)f(2007)150
+4935 y Fr(Chet)45 b(Ramey)-11 b(,)46 b(Case)g(W)-11 b(estern)46
+b(Reserv)l(e)g(Univ)l(ersit)l(y)150 5068 y(Brian)f(F)-11
+b(o)l(x,)45 b(F)-11 b(ree)45 b(Soft)l(w)l(are)h(F)-11
 b(oundation)p 150 5141 3600 17 v eop end
 %%Page: 2 2
 TeXDict begin 2 1 bop 150 2889 a Ft(This)35 b(text)h(is)g(a)g(brief)f
 (description)h(of)f(the)h(features)g(that)g(are)g(presen)m(t)g(in)f
-(the)h(Bash)f(shell)h(\(v)m(ersion)150 2999 y(3.2,)c(30)f(Decem)m(b)s
-(er)g(2006\).)150 3133 y(This)f(is)g(Edition)h(3.2,)h(last)g(up)s
-(dated)d(30)i(Decem)m(b)s(er)h(2006,)h(of)d Fq(The)g(GNU)i(Bash)e
-(Reference)i(Man)m(ual)p Ft(,)150 3243 y(for)e Fs(Bash)p
-Ft(,)g(V)-8 b(ersion)31 b(3.2.)150 3377 y(Cop)m(yrigh)m(t)602
-3374 y(c)577 3377 y Fp(\015)f Ft(1988-2005)k(F)-8 b(ree)32
-b(Soft)m(w)m(are)f(F)-8 b(oundation,)32 b(Inc.)150 3512
-y(P)m(ermission)g(is)h(gran)m(ted)g(to)f(mak)m(e)i(and)d(distribute)h
-(v)m(erbatim)h(copies)g(of)f(this)g(man)m(ual)h(pro)m(vided)f(the)150
-3621 y(cop)m(yrigh)m(t)g(notice)f(and)f(this)g(p)s(ermission)g(notice)h
-(are)g(preserv)m(ed)f(on)h(all)g(copies.)390 3756 y(P)m(ermission)k(is)
-h(gran)m(ted)f(to)h(cop)m(y)-8 b(,)38 b(distribute)d(and/or)g(mo)s
-(dify)f(this)h(do)s(cumen)m(t)g(under)390 3866 y(the)j(terms)g(of)g
-(the)g(GNU)h(F)-8 b(ree)39 b(Do)s(cumen)m(tation)h(License,)g(V)-8
-b(ersion)39 b(1.2)g(or)f(an)m(y)g(later)390 3975 y(v)m(ersion)28
+(the)h(Bash)f(shell)h(\(v)m(ersion)150 2999 y(3.2,)c(12)f(Jan)m(uary)f
+(2007\).)150 3133 y(This)j(is)g(Edition)g(3.2,)j(last)e(up)s(dated)e
+(12)i(Jan)m(uary)f(2007,)j(of)e Fq(The)e(GNU)i(Bash)g(Reference)g(Man)m
+(ual)p Ft(,)150 3243 y(for)c Fs(Bash)p Ft(,)g(V)-8 b(ersion)31
+b(3.2.)150 3377 y(Cop)m(yrigh)m(t)602 3374 y(c)577 3377
+y Fp(\015)f Ft(1988-2005)k(F)-8 b(ree)32 b(Soft)m(w)m(are)f(F)-8
+b(oundation,)32 b(Inc.)150 3512 y(P)m(ermission)g(is)h(gran)m(ted)g(to)
+f(mak)m(e)i(and)d(distribute)h(v)m(erbatim)h(copies)g(of)f(this)g(man)m
+(ual)h(pro)m(vided)f(the)150 3621 y(cop)m(yrigh)m(t)g(notice)f(and)f
+(this)g(p)s(ermission)g(notice)h(are)g(preserv)m(ed)f(on)h(all)g
+(copies.)390 3756 y(P)m(ermission)k(is)h(gran)m(ted)f(to)h(cop)m(y)-8
+b(,)38 b(distribute)d(and/or)g(mo)s(dify)f(this)h(do)s(cumen)m(t)g
+(under)390 3866 y(the)j(terms)g(of)g(the)g(GNU)h(F)-8
+b(ree)39 b(Do)s(cumen)m(tation)h(License,)g(V)-8 b(ersion)39
+b(1.2)g(or)f(an)m(y)g(later)390 3975 y(v)m(ersion)28
 b(published)d(b)m(y)j(the)f(F)-8 b(ree)29 b(Soft)m(w)m(are)f(F)-8
 b(oundation;)30 b(with)d(no)g(In)m(v)-5 b(arian)m(t)28
 b(Sections,)390 4085 y(with)i(the)h(F)-8 b(ron)m(t-Co)m(v)m(er)33
@@ -4990,18 +4989,25 @@ b Ft(139)748 1112 y(C.1.1)92 b(ADDENDUM:)32 b(Ho)m(w)f(to)h(use)e(this)
 g(License)h(for)f(y)m(our)930 1221 y(do)s(cumen)m(ts)c
 Fm(.)15 b(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g
 (.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)h(.)f(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)
-g(.)g(.)g(.)56 b Ft(145)150 1464 y Fr(Index)45 b(of)g(Shell)g(Builtin)h
-(Commands)27 b Fn(.)19 b(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)71
-b Fr(147)150 1733 y(Index)45 b(of)g(Shell)g(Reserv)l(ed)h(W)-11
-b(ords)41 b Fn(.)20 b(.)f(.)h(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)g(.)h
-(.)85 b Fr(149)150 2003 y(P)l(arameter)47 b(and)d(V)-11
-b(ariable)46 b(Index)27 b Fn(.)19 b(.)g(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)h
-(.)f(.)h(.)f(.)g(.)71 b Fr(151)150 2273 y(F)-11 b(unction)44
-b(Index)36 b Fn(.)19 b(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)h
-(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)80
-b Fr(153)150 2543 y(Concept)45 b(Index)18 b Fn(.)i(.)f(.)h(.)f(.)g(.)h
-(.)f(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)h(.)f(.)
-h(.)f(.)g(.)h(.)f(.)h(.)62 b Fr(155)p eop end
+g(.)g(.)g(.)56 b Ft(145)150 1464 y Fr(App)t(endix)44
+b(D)98 b(Indexes)36 b Fn(.)20 b(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)f(.)g(.)h
+(.)f(.)h(.)f(.)h(.)f(.)g(.)h(.)f(.)h(.)f(.)h(.)79 b Fr(147)449
+1601 y Ft(D.1)92 b(Index)29 b(of)i(Shell)f(Builtin)h(Commands)21
+b Fm(.)14 b(.)h(.)g(.)g(.)g(.)h(.)f(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g
+(.)g(.)g(.)g(.)g(.)g(.)51 b Ft(147)449 1710 y(D.2)92
+b(Index)29 b(of)i(Shell)f(Reserv)m(ed)h(W)-8 b(ords)13
+b Fm(.)j(.)f(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)
+g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)43 b Ft(149)449 1820
+y(D.3)92 b(P)m(arameter)32 b(and)d(V)-8 b(ariable)32
+b(Index)21 b Fm(.)15 b(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g
+(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)51 b Ft(149)449
+1929 y(D.4)92 b(F)-8 b(unction)31 b(Index)19 b Fm(.)c(.)g(.)g(.)g(.)g
+(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)
+g(.)g(.)g(.)g(.)g(.)h(.)f(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)49
+b Ft(151)449 2039 y(D.5)92 b(Concept)31 b(Index)9 b Fm(.)k(.)j(.)f(.)g
+(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)
+g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)g(.)h(.)f(.)g(.)g
+(.)38 b Ft(152)p eop end
 %%Page: 1 7
 TeXDict begin 1 6 bop 150 -116 a Ft(Chapter)30 b(1:)41
 b(In)m(tro)s(duction)2592 b(1)150 299 y Fo(1)80 b(In)l(tro)t(duction)
